This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: setup.cfg - rename home_page to homepage
Type: Stage: resolved
Components: Distutils2 Versions:
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, tarek, techtonik
Priority: normal Keywords:

Created on 2012-05-29 05:51 by techtonik, last changed 2022-04-11 14:57 by admin. This issue is now closed.

Messages (5)
msg161857 - (view) Author: anatoly techtonik (techtonik) Date: 2012-05-29 05:51
home_page is too conservative, ugly and requires more time typing. "home page" is also 2.15 times less popular that "homepage" spelling http://www.google.com/trends/?q=%22home+page%22,+%22homepage%22

Writing setup.cfg files for humans should be simple and intuitive without too much referencing to official docs. Perhaps it is possible to support both home_page and homepage with the latter being the preferred syntax.
msg161866 - (view) Author: Alexis Metaireau (alexis) * (Python triager) Date: 2012-05-29 10:17
While I kind of agree with you, this field is proposed by the PEP 345 
and had been approved as it is. It seems probably better to stick with 
what's defined there mainly because any change to the PEP is a heavy 
process and we won't have time to go trough it before the 3.3 release.

(See http://www.python.org/dev/peps/pep-0345/#home-page-optional)
msg161882 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-29 14:06
Sorry, Alexis is right.  The fields in setup.cfg directly come from the PEP.  Tarek insisted on that.  We’ve only added some fields, like description-file, but never changed the names.
msg161950 - (view) Author: anatoly techtonik (techtonik) Date: 2012-05-30 13:45
1. Why not to add aliases?
2. Why not to postpone it to 3.4?
3. Why PEP change is a heavy process? Can we lighten it? (where is the description is PEP change process at all)
msg161954 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-30 14:11
I don’t believe aliases would help, on the contrary.  There already are a good number of fields to remember.  Anyway I expect people to use “pysetup create” or copy-pasting, so the spelling is not important: nobody will really have to remember it.  I have no personal opinion on “home page” vs. “homepage”, so I just accept what the PEP decided.

Postponing to 3.4 has no value.  The reasons for rejecting this will still apply.  Please keep this closed.

See PEP 1 for the PEP process.  See the month-long discussions on distutils-sig and python-dev two years ago on the packaging PEPs to see how long it can be.
History
Date User Action Args
2022-04-11 14:57:30adminsetgithub: 59153
2012-05-30 14:11:22eric.araujosetstatus: pending -> closed

messages: + msg161954
2012-05-30 13:45:40techtoniksetstatus: closed -> pending

messages: + msg161950
2012-05-29 14:06:39eric.araujosetstatus: open -> closed
resolution: works for me
messages: + msg161882

stage: resolved
2012-05-29 10:17:34alexissetmessages: + msg161866
2012-05-29 05:51:12techtonikcreate